.article__wrap {
	overflow-x: auto;
}

.vaccination-calendar__head {
	width: 100%;
	border-radius: 16px;
	padding: 20px 269px 20px 24px;
	background: #00ce57;
	background-image: url("/static/f/med_article/640/vaccination-calendar-head-img.png");
	background-repeat: no-repeat;
	background-size: 266px auto;
	background-position: bottom right;
	overflow: hidden;
}
.vaccination-calendar__head p {
	margin: 0;
	font-family: "RotonBol";
	font-weight: 400;
	font-size: 18px;
	line-height: 23px;
	color: #fff;
}
@media (max-width: 768px) {
	.vaccination-calendar__head {
		padding: 16px;
		background-image: none;
	}
}

.vaccination-calendar__note {
	margin-top: 24px;
}
.vaccination-calendar__note-main p {
	font-family: "RotonReg";
	font-weight: 400;
	font-size: 18px;
	line-height: 25px;
	color: #444;
}
.vaccination-calendar__note-main p + p {
	margin-top: 12px;
}
.vaccination-calendar__note-colors {
	display: flex;
	justify-content: flex-start;
	gap: 24px;
	margin-top: 24px;
}
.vaccination-calendar__note-color {
	display: flex;
	justify-content: flex-start;
	gap: 10px;
	font-family: "RotonReg";
	font-weight: 400;
	font-size: 18px;
	line-height: 25px;
	color: #444;
}
.vaccination-calendar__note-color div {
	width: 30px;
	height: 30px;
}
.vaccination-calendar__note-color:nth-child(1) div {
	border: 1px solid #00178e;
	background: #f2f4ff;
}
.vaccination-calendar__note-color:nth-child(2) div {
	border: 1px solid #00178e;
	background: #fff2cc;
}
.vaccination-calendar__note-abbr {
	margin-top: 24px;
}
.vaccination-calendar__note-abbr p {
	font-family: "RotonReg";
	font-weight: 400;
	font-size: 15px;
	line-height: 22px;
	color: #444;
}
.vaccination-calendar__note-abbr p + p {
	margin-top: 0;
}
.vaccination-calendar__note-bottom {
	margin-top: 24px;
}
.vaccination-calendar__note-bottom p {
	font-family: "RotonReg";
	font-weight: 400;
	font-size: 14px;
	line-height: 20px;
	color: #444;
}
.vaccination-calendar__note-bottom p + p {
	margin-top: 12px;
}
@media (max-width: 768px) {
	.vaccination-calendar__note-colors {
		flex-direction: column;
		gap: 12px;
	}
}

.vaccination-calendar__risk {
	margin-top: 24px;
}
.vaccination-calendar__risk p.vaccination-calendar__risk-title {
	font-family: "RotonBol";
	font-weight: 400;
	font-size: 14px;
	line-height: 20px;
	color: #444;
}
.vaccination-calendar__risk p.vaccination-calendar__risk-item {
	margin-top: 12px;
	padding-left: 21px;
	background-image: url("/static/f/med_article/640/marker.svg");
	background-repeat: no-repeat;
	background-size: 16px auto;
	background-position: left top 3px;
	font-family: "RotonReg";
	font-weight: 400;
	font-size: 13px;
	line-height: 20px;
	color: #444;
}
.vaccination-calendar__risk ul {
	margin: 0;
	padding-left: 40px;
}
.vaccination-calendar__risk ul li {
	font-family: "RotonReg";
	font-weight: 400;
	font-size: 13px;
	line-height: 20px;
	color: #444;
}

.vaccination-calendar__risk-note {
	margin-top: 24px;
}
.vaccination-calendar__risk-note p {
	margin-top: 12px;
	font-family: "RotonReg";
	font-weight: 400;
	font-size: 14px;
	line-height: 20px;
	color: #444;
}
.vaccination-calendar__risk-note ul {
	margin-top: 12px;
	padding-left: 25px;
}
.vaccination-calendar__risk-note ul li {
	font-family: "RotonReg";
	font-weight: 400;
	font-size: 14px;
	line-height: 20px;
	color: #444;
}

.vaccination-calendar__source {
	margin-top: 40px;
}
.vaccination-calendar__source p {
	font-family: "RotonBol";
	font-weight: 400;
	font-size: 13px;
	line-height: 15px;
	color: #00178e;
}
.vaccination-calendar__source ol {
	margin: 11px 0 0;
	padding-left: 16px;
}
.vaccination-calendar__source ol li {
	font-family: "RotonReg";
	font-weight: 400;
	font-size: 12px;
	line-height: 17px;
	color: #444;
}
.vaccination-calendar__source ol li + li {
	margin-top: 3px;
}

/* TABLE */
.vaccination-calendar__table {
	margin-top: 24px;
}
/* Контейнер с таблицей */
.vaccination-table__container {
	overflow-x: auto;
	overflow-y: visible;
	scroll-behavior: smooth;
	border: 1px solid #00178e;
	border-radius: 20px 20px 0 0;
	position: relative;
	cursor: grab;
}

/* Скрываем нативный скроллбар */
.vaccination-table__container::-webkit-scrollbar {
	display: none;
}
.vaccination-table__container {
	scrollbar-width: none;
}

/* Таблица */
#vaccinationTable {
	border-collapse: collapse;
	min-width: 100%;
	width: max-content;
}

/* Все ячейки */
#vaccinationTable th,
#vaccinationTable td {
	border: 1px solid #00178e;
	vertical-align: middle;
	white-space: wrap;
}

/* ============ ЗАГОЛОВКИ (th) ============ */
#vaccinationTable th {
	width: 76px;
	height: 70px;
	padding: 10px 20px;
	background: #ebfaf0;
	font-family: "RotonBol";
	font-weight: 400;
	font-size: 18px;
	line-height: 20px;
	text-align: center;
	color: #444;
	border-top: none;
}
/* Первая колонка заголовка */
#vaccinationTable th:first-child {
	position: sticky;
	z-index: 1;
	left: 0;
	width: 196px;
	padding: 5px 15px;
	background: #ebfaf0;
	font-family: "RotonBol";
	font-weight: 400;
	font-size: 18px;
	line-height: 20px;
	text-align: left;
	border-bottom: 1px solid #00178e;
	border-left: none;
	border-right: none;
}
#vaccinationTable th:first-child::before {
	content: '';
	position: absolute;
	z-index: 2;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	width: 100%;
	height: 100%;
	border-right: 1px solid #00178e;
	pointer-events: none;
}
/* Последняя колонка заголовка */
#vaccinationTable th:last-child {
	border-right: none;
}

/* ============ ВСЕ ЯЧЕЙКИ td ПО УМОЛЧАНИЮ ============ */
#vaccinationTable td {
	width: 76px;
	height: 50px;
	padding: 10px 5px;
	background: #fff;
	font-family: "RotonReg";
	font-weight: 400;
	font-size: 14px;
	line-height: 15px;
	color: #444;
	text-align: center;
}

/* первая ячейка строки */
#vaccinationTable td.vaccination-calendar__table-main-col {
	position: sticky;
	left: 0;
	z-index: 1;
	width: 196px;
	padding: 1px 15px;
	background: #ebfaf0;
	font-family: "RotonReg";
	font-weight: 400;
	font-size: 18px;
	line-height: 22px;
	vertical-align: middle;
	text-align: left;
	color: #444;
	border: none;
}
#vaccinationTable td.vaccination-calendar__table-main-col::after {
	content: '';
	position: absolute;
	z-index: 2;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	width: 100%;
	height: 100%;
	border-bottom: 1px solid #00178e;
	pointer-events: none;
}
#vaccinationTable td.vaccination-calendar__table-main-col::before {
	content: '';
	position: absolute;
	z-index: 2;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	width: 100%;
	height: 100%;
	border-right: 1px solid #00178e;
	pointer-events: none;
}
#vaccinationTable tr:last-child td.vaccination-calendar__table-main-col::after {
	content: none;
}

/* Последняя ячейка строки */
#vaccinationTable td.vaccination-calendar__table-td-last {
	border-right: none;
}
/* Ячейки последней строки */
#vaccinationTable tr:last-child td {
	border-bottom: none;
}

/* ============ КЛАССЫ group-1 и group-2 ============ */
#vaccinationTable td.vaccination-calendar__table-group-1 {
	background: #f2f4ff;
}
#vaccinationTable td.vaccination-calendar__table-group-2 {
	background: #fff2cc;
}

/* Классы для спец стилей */
#vaccinationTable th.vaccination-calendar__table-td-nbl,
#vaccinationTable td.vaccination-calendar__table-td-nbl {
	border-left: none;
}

/* ============ ТЕНЬ ДЛЯ ФИКСИРОВАННОЙ КОЛОНКИ ============ */
#vaccinationTable th.vaccination-calendar__table-main-coll,
#vaccinationTable td.vaccination-calendar__table-main-coll {
	box-shadow: 2px 0 5px -2px rgba(0,0,0,0.1);
}

/* ============ ЭЛЕМЕНТЫ УПРАВЛЕНИЯ ============ */
.vaccination-table__controls {
	display: flex;
	align-items: center;
	justify-content: space-between;
	gap: 5px;
	padding: 20px;
	background: #ebfaf0;
	border: 1px solid #00178e;
	border-top: none;
	border-radius: 0 0 20px 20px;
}
.vaccination-table__controls-btn {
	position: relative;
	width: 30px;
	height: 30px;
	border-radius: 100%;
	background: #00ce57;
	outline: none;
	border: none;
	cursor: pointer;
	transition: all .3s;
}
.vaccination-table__controls-btn::after {
	content: '';
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background-image: url("/for-hcp/build/images/ico-arrow.svg");
	background-repeat: no-repeat;
	background-size: 15px 11px;
	background-position: center center;
}
.vaccination-table__controls-btn--prev::after {
	left: -4px;
	transform: rotate(-90deg);
}
.vaccination-table__controls-btn--next::after {
	right: -4px;
	transform: rotate(90deg);
}
.vaccination-table__controls-btn:hover {
	background: #001689;
}
.vaccination-table__controls-btn:disabled {
	background: #ccc;
	cursor: not-allowed;
}
.vaccination-table__controls-scroll-bar {
	position: relative;
	display: flex;
	flex: 1;
	align-items: center;
	height: 24px;
	padding: 7px 5px;
	background: #fff;
	border: 1px solid #00ce57;
	border-radius: 39px;
}
.vaccination-table__controls-thumb {
	width: 56.3958%;
	height: 10px;
	background: #00ce57;
	border-radius: 39px;
	cursor: grab;
}
.vaccination-table__controls-thumb:active {
	cursor: grabbing;
}
@media (max-width: 768px) {
	#vaccinationTable th:first-child,
	#vaccinationTable td.vaccination-calendar__table-main-col {
		width: 127px;
		padding: 1px 10px;
		font-size: 14px;
		line-height: 15px;
	}
	#vaccinationTable th {
		width: 70px;
		height: 55px;
		padding: 0;
		font-size: 14px;
		line-height: 15px;
	}
	#vaccinationTable td {
		width: 70px;
		padding: 0;
	}
}